<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::pixel_traits&lt; std::complex&lt; float &gt; &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1pixel__traits_3_01std_1_1complex_3_01float_01_4_01_4.html">pixel_traits&lt; std::complex&lt; float &gt; &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="structdlib_1_1pixel__traits_3_01std_1_1complex_3_01float_01_4_01_4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::pixel_traits&lt; std::complex&lt; float &gt; &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::pixel_traits&lt; std::complex&lt; float &gt; &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structdlib_1_1pixel__traits_3_01std_1_1complex_3_01float_01_4_01_4.png" usemap="#dlib::pixel_5Ftraits_3C_20std::complex_3C_20float_20_3E_20_3E_map" alt=""/>
  <map id="dlib::pixel_5Ftraits_3C_20std::complex_3C_20float_20_3E_20_3E_map" name="dlib::pixel_5Ftraits_3C_20std::complex_3C_20float_20_3E_20_3E_map">
<area href="structdlib_1_1float__grayscale__pixel__traits.html" alt="dlib::float_grayscale_pixel_traits&lt; float &gt;" shape="rect" coords="0,0,240,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_structdlib_1_1float__grayscale__pixel__traits"><td colspan="2" onclick="javascript:toggleInherit('pub_types_structdlib_1_1float__grayscale__pixel__traits')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="structdlib_1_1float__grayscale__pixel__traits.html">dlib::float_grayscale_pixel_traits&lt; float &gt;</a></td></tr>
<tr class="memitem:a35babacd96b0644f8d3659c49db5a60b inherit pub_types_structdlib_1_1float__grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a35babacd96b0644f8d3659c49db5a60b"></a>
typedef float&#160;</td><td class="memItemRight" valign="bottom"><b>basic_pixel_type</b></td></tr>
<tr class="separator:a35babacd96b0644f8d3659c49db5a60b inherit pub_types_structdlib_1_1float__grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_structdlib_1_1float__grayscale__pixel__traits"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_structdlib_1_1float__grayscale__pixel__traits')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="structdlib_1_1float__grayscale__pixel__traits.html">dlib::float_grayscale_pixel_traits&lt; float &gt;</a></td></tr>
<tr class="memitem:a3bfc4c9cb29c9e54a96f075c09cb3b57 inherit pub_static_methods_structdlib_1_1float__grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a3bfc4c9cb29c9e54a96f075c09cb3b57"></a>
static basic_pixel_type&#160;</td><td class="memItemRight" valign="bottom"><b>min</b> ()</td></tr>
<tr class="separator:a3bfc4c9cb29c9e54a96f075c09cb3b57 inherit pub_static_methods_structdlib_1_1float__grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab84734c66617be4af39991c16de7fac4 inherit pub_static_methods_structdlib_1_1float__grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="ab84734c66617be4af39991c16de7fac4"></a>
static basic_pixel_type&#160;</td><td class="memItemRight" valign="bottom"><b>max</b> ()</td></tr>
<tr class="separator:ab84734c66617be4af39991c16de7fac4 inherit pub_static_methods_structdlib_1_1float__grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="structdlib_1_1float__grayscale__pixel__traits.html">dlib::float_grayscale_pixel_traits&lt; float &gt;</a></td></tr>
<tr class="memitem:a6c732d6257469ca99873c16a11a9b35f inherit pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a6c732d6257469ca99873c16a11a9b35f"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>rgb</b></td></tr>
<tr class="separator:a6c732d6257469ca99873c16a11a9b35f inherit pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3992671075ec3d87099e3411584a0f5f inherit pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a3992671075ec3d87099e3411584a0f5f"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>rgb_alpha</b></td></tr>
<tr class="separator:a3992671075ec3d87099e3411584a0f5f inherit pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f2aa6c5950c4e48d3c432a4509cf1e2 inherit pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a8f2aa6c5950c4e48d3c432a4509cf1e2"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>grayscale</b></td></tr>
<tr class="separator:a8f2aa6c5950c4e48d3c432a4509cf1e2 inherit pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93b258d1e774504e1b18f5ef0d38c069 inherit pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a93b258d1e774504e1b18f5ef0d38c069"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>hsi</b></td></tr>
<tr class="separator:a93b258d1e774504e1b18f5ef0d38c069 inherit pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c8fe51d1d05e2f00f70a7288a4fbb8d inherit pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a0c8fe51d1d05e2f00f70a7288a4fbb8d"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>num</b></td></tr>
<tr class="separator:a0c8fe51d1d05e2f00f70a7288a4fbb8d inherit pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f6f41925a6c7fcdafe95c3a2089aa9a inherit pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a3f6f41925a6c7fcdafe95c3a2089aa9a"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>has_alpha</b></td></tr>
<tr class="separator:a3f6f41925a6c7fcdafe95c3a2089aa9a inherit pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f61ad7e665efa14422530700ec19313 inherit pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a3f61ad7e665efa14422530700ec19313"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_unsigned</b></td></tr>
<tr class="separator:a3f61ad7e665efa14422530700ec19313 inherit pub_static_attribs_structdlib_1_1float__grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pixel_8h_source.html">pixel.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
